# eric7.WebBrowser.Tools.DelayedFileWatcher

Module implementing a file system watcher with a delay.

### Global Attributes

None

### Classes

DelayedFileWatcher | Class implementing a file system watcher with a delay.

### Functions

None

## DelayedFileWatcher

Class implementing a file system watcher with a delay.

### Signals

delayedDirectoryChanged(path)
  emitted to indicate a changed directory
delayedFileChanged(path)
  emitted to indicate a changed file

### Derived from

QFileSystemWatcher

### Class Attributes

None

### Class Methods

None

### Methods

DelayedFileWatcher | Constructor
__dequeueDirectory | Private slot to signal a directory change.
__dequeueFile | Private slot to signal a file change.
__directoryChanged | Private slot handling a changed directory.
__fileChanged | Private slot handling a changed file.

### Static Methods

None

#### DelayedFileWatcher (Constructor)

DelayedFileWatcher(paths=None, parent=None)

Constructor

paths (list of str)
  list of paths to be watched
parent (QObject)
  reference to the parent object

#### DelayedFileWatcher.__dequeueDirectory

__dequeueDirectory()

Private slot to signal a directory change.

#### DelayedFileWatcher.__dequeueFile

__dequeueFile()

Private slot to signal a file change.

#### DelayedFileWatcher.__directoryChanged

__directoryChanged(path)

Private slot handling a changed directory.

path (str)
  name of the changed directory

#### DelayedFileWatcher.__fileChanged

__fileChanged(path)

Private slot handling a changed file.

path (str)
  name of the changed file

Up